SDL_InitHapticRumble(3)

NAME
SDL_InitHapticRumble - Initialize a haptic device for simple rumble playback.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_InitHapticRumble(SDL_Haptic *haptic);

FUNCTION PARAMETERS

haptic
    the haptic device to initialize for simple rumble playback

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PlayHapticRumble(3), SDL_StopHapticRumble(3), SDL_HapticRumbleSupported(3)